Summary:	Client library for the Single Sign On daemon - Qt 4 bindings
Summary(pl.UTF-8):	Biblioteka kliencka demona Single Sign On - wiązania Qt 4
Name:		libsignon-qt4
Version:	8.58
Release:	3
License:	LGPL v2.1
Group:		Libraries
#Source0Download: https://gitlab.com/accounts-sso/signond/tags?sort=updated_desc
Source0:	https://gitlab.com/accounts-sso/signond/repository/archive.tar.bz2?ref=VERSION_%{version}&fake_out=/signond-%{version}.tar.bz2
# Source0-md5:	9f98e0758f72ca81abea9ce46088d42b
Patch0:		signon-cryptsetup.patch
URL:		https://gitlab.com/accounts-sso/signond
BuildRequires:	QtCore-devel >= 4
BuildRequires:	QtDBus-devel >= 4
BuildRequires:	qt4-build >= 4
BuildRequires:	qt4-qmake >= 4
BuildRequires:	cryptsetup-devel
BuildRequires:	doxygen
BuildRequires:	libproxy-devel
BuildRequires:	pkgconfig
Obsoletes:	libsignon-qt < 8.58-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Client library for the Single Sign On daemon - Qt 4 bindings.

%description -l pl.UTF-8
Biblioteka kliencka demona Single Sign On - wiązania Qt 4.

%package devel
Summary:	Header files for Single Sign On daemon Qt 4 client library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki klienckiej Qt 4 demona Single Sign On
Group:		Development/Libraries
Requires:	QtCore-devel >= 4
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libsignon-qt-devel < 8.58-3

%description devel
Header files for Single Sign On daemon Qt 4 client library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki klienckiej Qt 4 demona Single Sign On.

%package static
Summary:	Static libsignon-qt library
Summary(pl.UTF-8):	Statyczna biblioteka libsignon-qt
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libsignon-qt library.

%description static -l pl.UTF-8
Statyczna biblioteka libsignon-qt.

%prep
%setup -q -n signond-VERSION_%{version}-aa1bcf3c9218addbdb376a40151b689409046125
%patch0 -p1

%build
#install -d build-qt5
#cd build-qt5
#qmake-qt5 ../signon.pro \
#	CONFIG+=cryptsetup \
#	BUILD_DIR="build-qt5" \
#	LIBDIR="%{_libdir}" \
#	QMAKE_CXX="%{__cxx}" \
#	QMAKE_CXXFLAGS_RELEASE="%{rpmcxxflags}" \
#	QMAKE_LFLAGS_RELEASE="%{rpmldflags}"
#
#%{__make}
#cd ..

install -d build-qt4/lib/SignOn
cd build-qt4/lib/SignOn
qmake-qt4 ../../../lib/SignOn/SignOn.pro \
	CONFIG+=cryptsetup \
	BUILD_DIR="build-qt4" \
	LIBDIR="%{_libdir}" \
	QMAKE_CXX="%{__cxx}" \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcxxflags}" \
	QMAKE_LFLAGS_RELEASE="%{rpmldflags}"

%{__make}
cd ..

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build-qt4/lib/SignOn install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

# useless symlinks
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.so.1.?

# packaged in signon.spec
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libsignon-qt/html

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_libdir}/libsignon-qt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsignon-qt.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsignon-qt.so
%{_includedir}/signon-qt
%{_pkgconfigdir}/libsignon-qt.pc
%{_libdir}/cmake/SignOnQt

%files static
%defattr(644,root,root,755)
%{_libdir}/libsignon-qt.a
%changelog
* Mon Apr 17 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsignon-qt4.git;a=log;h=master

* Mon Apr 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 55ec160
- libsignon-qt4 built from the last signon version supporting qt4 (8.58)

* Sun Jun 26 2016 Elan Ruusamäe <glen@delfi.ee> 385d6cf
- noarch libsignon-qt-apidocs

* Tue Apr 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 36bc856
- df workaround

* Fri Apr 22 2016 Jakub Bogusz <qboosh@pld-linux.org> ea14cf0
- switched signond to qt5

* Fri Apr 22 2016 Jakub Bogusz <qboosh@pld-linux.org> c346fab
- new URLs, updated to 8.58
- removed obsolete link patch

* Thu Mar 26 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 25b0b5a
- Added -link.patch to fix build. Release 3.

* Sun Mar 30 2014 Elan Ruusamäe <glen@delfi.ee> 83c8926
- noarch apidocs

* Wed Feb 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 0deef6a
- added libsignon-qt5 binding

* Sun Feb 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 349c0ca
- updated to 8.56

* Fri Jan 24 2014 Jakub Bogusz <qboosh@pld-linux.org> ec96888
- -devel R: libsignon-qt-devel
- BR: libproxy-devel

* Fri Jan 24 2014 Jakub Bogusz <qboosh@pld-linux.org> ebbcaab
- new
- cryptsetup patch to build with new (1.6+) cryptsetup API

